Package org.eclipse.net4j.db.ddl.delta

# Enum Class IDBPropertyDelta.Type

java.lang.Object
java.lang.Enum<IDBPropertyDelta.Type>
org.eclipse.net4j.db.ddl.delta.IDBPropertyDelta.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<IDBPropertyDelta.Type>`, `Constable`

Enclosing interface:
  IDBPropertyDelta<T>

public static enum IDBPropertyDelta.Type extends Enum<IDBPropertyDelta.Type>

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOOLEAN`
`FIELD_TYPE`
`INDEX_TYPE`
`INTEGER`
`STRING`

## Method Summary

Modifier and Type
Method
Description
`static IDBPropertyDelta.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IDBPropertyDelta.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BOOLEAN

public static final IDBPropertyDelta.Type BOOLEAN

### INTEGER

public static final IDBPropertyDelta.Type INTEGER

### STRING

public static final IDBPropertyDelta.Type STRING

### FIELD_TYPE

public static final IDBPropertyDelta.Type FIELD_TYPE

### INDEX_TYPE

public static final IDBPropertyDelta.Type INDEX_TYPE

## Method Details

### values

public static IDBPropertyDelta.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IDBPropertyDelta.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null